package ru.dbotthepony.mc.otm.menu;

import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.inventory.MenuType;
import net.minecraft.world.level.block.entity.BlockEntity;
import ru.dbotthepony.mc.otm.Registry;
import ru.dbotthepony.mc.otm.block.entity.BlockEntityEnergyCounter;
import ru.dbotthepony.mc.otm.menu.data.BigDecimalDataContainer;

import javax.annotation.Nullable;

public class EnergyCounterMenu extends MatteryMenu {
	public final BigDecimalDataContainer passed = new BigDecimalDataContainer();

	public EnergyCounterMenu(int p_38852_, Inventory inventory) {
		this(p_38852_, inventory, null);
	}

	public EnergyCounterMenu(int p_38852_, Inventory inventory, BlockEntityEnergyCounter tile) {
		super(Registry.Menus.ENERGY_COUNTER, p_38852_, inventory, tile);

		addDataSlots(passed);
	}

	@Override
	public void broadcastChanges() {
		if (tile != null) {
			passed.setDecimal(((BlockEntityEnergyCounter) tile).getPassed());
		}

		super.broadcastChanges();
	}

	@Override
	protected int getWorkingSlotStart() {
		return 0;
	}

	@Override
	protected int getWorkingSlotEnd() {
		return 0;
	}
}
